package com.shkj.wms.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author zxj
 */
@Getter
@AllArgsConstructor
public enum TaskTypeEnum {

    //任务类型 0 正常入库 1维修异常 2扫码异常  3入库冲孔 4 正常出库 5紧急出库 6越库出库 7手工入库 8呼叫空治具
    /**
     * 正常入库
     */
    normal_in("0", "正常入库"),

    /**
     * 1维修异常
     */
    upkeep_err("1", "维修异常"),
    /**
     * 扫码异常
     */
    scancode_err("2", "扫码异常"),
    /**
     * 入库冲孔
     */
    putin_punching("3", "入库冲孔"),

    /**
     * 正常出库
     */
    normal_out("4", "正常出库"),

    /**
     * 5紧急出库
     */
    urgent_out("5", "紧急出库"),

    /**
     * 6越库出库
     */
    cross_out("6", "越库出库"),

    /**
     * 7手工入库
     */
    byhand_in("7", "手工入库"),
    /**
     * 8呼叫空治具
     */
    call_container("8", "呼叫空治具"),

    /**
     * 9 移库
     */
    relocation("9", "移库"),

    /**
     * 10 补货出库
     */
    replenish("10", "补货出库"),
    ;

    private String value;
    private String desc;

}
